Anyone having blocking issues with Windows build 18363 and Edge?

I’ve got a client with Duo set to block browsers if they’re out of date by a month. They have users with Windows build 18363, which appears to date to December, and is otherwise still supported. That release, if fully patched, has Edge 18.18363. Duo is blocking this as out of date, even though they’re on a supported Windows build and that’s the current version the computer receives when fully up to date on patches.

Is there any workaround for this besides either upgrading every client desktop to 19041, which just came out <2 weeks ago, or turning off the out of date browser block in the policies? The latter unfortunately would affect all browsers since Duo doesn’t let you differentiate by browser, and turning that off for other browsers could be fairly dangerous.